=== modified file 'source/gui/settingsDialogs.py'
--- source/gui/settingsDialogs.py	2012-02-04 21:54:30 +0000
+++ source/gui/settingsDialogs.py	2012-03-23 17:46:53 +0000
@@ -421,11 +421,13 @@
 		self.symbolLevelList.SetSelection(characterProcessing.CONFIGURABLE_SPEECH_SYMBOL_LEVELS.index(curLevel))
 		sizer.Add(self.symbolLevelList)
 		settingsSizer.Add(sizer,border=10,flag=wx.BOTTOM)
-		capPitchChangeLabel=wx.StaticText(self,-1,label=_("Capital pitch change percentage"))
-		settingsSizer.Add(capPitchChangeLabel)
-		self.capPitchChangeEdit=wx.TextCtrl(self,wx.NewId())
-		self.capPitchChangeEdit.SetValue(str(config.conf["speech"][getSynth().name]["capPitchChange"]))
-		settingsSizer.Add(self.capPitchChangeEdit,border=10,flag=wx.BOTTOM)
+		# This setting only makes sence if the synth supports pitch changging.
+		if getSynth().isSupported("pitch"):
+			capPitchChangeLabel=wx.StaticText(self,-1,label=_("Capital pitch change percentage"))
+			settingsSizer.Add(capPitchChangeLabel)
+			self.capPitchChangeEdit=wx.TextCtrl(self,wx.NewId())
+			self.capPitchChangeEdit.SetValue(str(config.conf["speech"][getSynth().name]["capPitchChange"]))
+			settingsSizer.Add(self.capPitchChangeEdit,border=10,flag=wx.BOTTOM)
 		# Translators: This is the label for a checkbox in the
 		# voice settings dialog.
 		self.sayCapForCapsCheckBox=wx.CheckBox(self,wx.NewId(),label=_("Say &cap before capitals"))
@@ -507,12 +509,13 @@
 		config.conf["speech"]["autoLanguageSwitching"]=self.autoLanguageSwitchingCheckbox.IsChecked()
 		config.conf["speech"]["autoDialectSwitching"]=self.autoDialectSwitchingCheckbox.IsChecked()
 		config.conf["speech"]["symbolLevel"]=characterProcessing.CONFIGURABLE_SPEECH_SYMBOL_LEVELS[self.symbolLevelList.GetSelection()]
-		capPitchChange=self.capPitchChangeEdit.Value
-		try:
-			capPitchChange=int(capPitchChange)
-		except ValueError:
-			capPitchChange=0
-		config.conf["speech"][getSynth().name]["capPitchChange"]=min(max(capPitchChange,-100),100)
+		if getSynth().isSupported("pitch"):
+			capPitchChange=self.capPitchChangeEdit.Value
+			try:
+				capPitchChange=int(capPitchChange)
+			except ValueError:
+				capPitchChange=0
+			config.conf["speech"][getSynth().name]["capPitchChange"]=min(max(capPitchChange,-100),100)
 		config.conf["speech"][getSynth().name]["sayCapForCapitals"]=self.sayCapForCapsCheckBox.IsChecked()
 		config.conf["speech"][getSynth().name]["beepForCapitals"]=self.beepForCapsCheckBox.IsChecked()
 		config.conf["speech"][getSynth().name]["useSpellingFunctionality"]=self.useSpellingFunctionalityCheckBox.IsChecked()

